| Flutter Linux Embedder |

Public Attributes | List of all members
_FlCompositorOpenGL Struct Reference

## Public Attributes
FlCompositor | parent_instance
GWeakRef | engine
FlOpenGLManager * | opengl_manager
gboolean | initialized
GLint | sized_format
GLint | general_format
int | target_width
int | target_height
bool | blocking_main_thread
bool | had_first_frame
bool | has_gl_framebuffer_blit
GLuint | program
GHashTable * | framebuffers_by_view_id
GMutex | present_mutex
GCond | present_condition

## Detailed Description

Definition at line 39 of file fl_compositor_opengl.cc.

## Member Data Documentation

## ◆ blocking_main_thread

bool _FlCompositorOpenGL::blocking_main_thread

Definition at line 62 of file fl_compositor_opengl.cc.

## ◆ engine

GWeakRef _FlCompositorOpenGL::engine

Definition at line 43 of file fl_compositor_opengl.cc.

## ◆ framebuffers_by_view_id

GHashTable* _FlCompositorOpenGL::framebuffers_by_view_id

Definition at line 75 of file fl_compositor_opengl.cc.

## ◆ general_format

GLint _FlCompositorOpenGL::general_format

Definition at line 55 of file fl_compositor_opengl.cc.

## ◆ had_first_frame

bool _FlCompositorOpenGL::had_first_frame

Definition at line 66 of file fl_compositor_opengl.cc.

## ◆ has_gl_framebuffer_blit

bool _FlCompositorOpenGL::has_gl_framebuffer_blit

Definition at line 69 of file fl_compositor_opengl.cc.

## ◆ initialized

gboolean _FlCompositorOpenGL::initialized

Definition at line 49 of file fl_compositor_opengl.cc.

## ◆ opengl_manager

FlOpenGLManager* _FlCompositorOpenGL::opengl_manager

Definition at line 46 of file fl_compositor_opengl.cc.

## ◆ parent_instance

FlCompositor _FlCompositorOpenGL::parent_instance

Definition at line 40 of file fl_compositor_opengl.cc.

## ◆ present_condition

GCond _FlCompositorOpenGL::present_condition

Definition at line 83 of file fl_compositor_opengl.cc.

## ◆ present_mutex

GMutex _FlCompositorOpenGL::present_mutex

Definition at line 79 of file fl_compositor_opengl.cc.

## ◆ program

GLuint _FlCompositorOpenGL::program

Definition at line 72 of file fl_compositor_opengl.cc.

## ◆ sized_format

GLint _FlCompositorOpenGL::sized_format

Definition at line 52 of file fl_compositor_opengl.cc.

## ◆ target_height

int _FlCompositorOpenGL::target_height

Definition at line 59 of file fl_compositor_opengl.cc.

## ◆ target_width

int _FlCompositorOpenGL::target_width

Definition at line 58 of file fl_compositor_opengl.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_compositor_opengl.cc